"use strict";
const common_vendor = require("../../../common/vendor.js");
const INDEX_task_list_model = require("./model.js");
const INDEX_task_list_method = require("./method.js");
const gen_Enums = require("../../../gen/Enums.js");
const common_libraries_day = require("../../../common/libraries/day.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_hs_level2 = common_vendor.resolveComponent("hs-level");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_hs_enum_tag2 + _easycom_hs_level2 + _easycom_cc_scroll_loading2)();
}
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_hs_level = () => "../../../components/hs-level/hs-level.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_hs_enum_tag + _easycom_hs_level + _easycom_cc_scroll_loading)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(() => {
      var _a;
      INDEX_task_list_model.useModel.formData.value.page = 1;
      INDEX_task_list_model.useModel.listData.value = [];
      (_a = INDEX_task_list_method.method) == null ? void 0 : _a.getList();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(INDEX_task_list_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2;
          return common_vendor.e({
            a: "3377f082-1-" + i0 + ",3377f082-0",
            b: common_vendor.p({
              value: i == null ? void 0 : i.type,
              Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersTypeEnum)
            }),
            c: i == null ? void 0 : i.location
          }, (i == null ? void 0 : i.location) ? {
            d: "3377f082-2-" + i0 + ",3377f082-0",
            e: common_vendor.p({
              value: i == null ? void 0 : i.location,
              Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersLocationEnum)
            })
          } : {}, {
            f: (i == null ? void 0 : i.status) === "Processing"
          }, (i == null ? void 0 : i.status) === "Processing" ? {
            g: "3377f082-3-" + i0 + ",3377f082-0",
            h: common_vendor.p({
              level: i == null ? void 0 : i.level
            })
          } : {}, {
            i: "3377f082-4-" + i0 + ",3377f082-0",
            j: common_vendor.p({
              value: i == null ? void 0 : i.status,
              Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersStatusEnum)
            }),
            k: common_vendor.n(`btn_status status_${i == null ? void 0 : i.status}`),
            l: common_vendor.t(((_a2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _a2.full_name) || ((_b2 = i == null ? void 0 : i.asset_project) == null ? void 0 : _b2.name)),
            m: common_vendor.t(i == null ? void 0 : i.content),
            n: common_vendor.t(common_vendor.unref(common_libraries_day.getDayTime)(i == null ? void 0 : i.expect_start_time)),
            o: common_vendor.t(common_vendor.unref(common_libraries_day.getDayTime)(i == null ? void 0 : i.created_at)),
            p: `items_${index}`,
            q: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(INDEX_task_list_method.method)) == null ? void 0 : _a3.handleToDetail(i);
            }, `items_${index}`)
          });
        }),
        b: common_vendor.o((_c = common_vendor.unref(INDEX_task_list_method.method)) == null ? void 0 : _c.handleLoad),
        c: common_vendor.p({
          meta: (_e = (_d = common_vendor.unref(INDEX_task_list_model.useModel)) == null ? void 0 : _d.metaData) == null ? void 0 : _e.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/INDEX/task/list/index.vue"]]);
wx.createPage(MiniProgramPage);
